Subject: Ticket Assigned - Fwd: Defective item under warranty Invoice# 29014202981320190726
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 02 May 2021 05:11:00 +0000

Hi Mohd Adeel Akhter,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Fwd: Defective item under warranty Invoice# 29014202981320190726 Dear Support Team,

I have bought “P-Jacinta Recliner Sofa set” from Home box store in Jeddah, and for the second time, it’s got defected in less than two years!!

The mechanisms are not working in the 3 Seater Sofa, the springs are very obvious while you are sitting, sometimes we found the screws are loose and coming out of the sofa, and also the sewing of the sofa has got untied!! I am attaching some of the issues but not all of them.

The product is still under warranty, and no action has been taken from your side, so this is my last reminder before going to the Chamber of Commerce to file a complaint, since it’s under warranty.

Invoice# 29014202981320190726

Given that i tried many times to reach you, via Phone, Facebook, and via email, with no success!

Regards,
Shawky Mostafa
+966562164172

________________________________
From: shawky ali <[email-masked]>
Sent: Saturday, January 30, 2021 3:06 PM
To: [email-masked]
Subject: Defective item under warranty

Dear Support Team,

I have bought “P-Jacinta Recliner Sofa set” from Home box store in Jeddah, and for the second time, it’s got defected in less than two years!!

Some of the mechanisms are not working, the springs are very obvious while you are sitting, sometimes we found the screws are loose and coming out of the sofa, and also the sewing of the sofa has got untied!! I am attaching some of the issues but not all of them.

The product is still under warranty and actually i was expecting better quality of the products i am buying from Home Box!!

Your prompt action is highly appreciated!

Regards,
Shawky Mostafa

Attachment(s) that exceed the 20 MB limit have been dropped. Please reach out to the sender. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2381472